import { NestMiddleware } from '@nestjs/common';
import { Connection } from 'mongoose';
import { Request, Response, NextFunction } from 'express';
export declare class AuditSyncMiddleware implements NestMiddleware {
    private readonly c;
    constructor(c: Connection);
    use(req: Request & {
        __ctx?: any;
    }, _res: Response, next: NextFunction): void;
}
